CacheRandom (Jakarta-ORO 2.0.8 API)
Date: 2016-03-09

org.apache.oro.util

## Class CacheRandom

- java.lang.Object
- - org.apache.oro.util.GenericCache
  - - org.apache.oro.util.CacheRandom

- All Implemented Interfaces:
    java.io.Serializable, Cache

      public final class CacheRandom
      extends GenericCache

  This class is a GenericCache subclass implementing a random cache replacement policy. In other words, values are added to the cache until it becomes full. Once the cache is full, when a new value is added to the cache, it replaces a randomly selected value in the cache.
  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `GenericCache`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.oro.util.GenericCache

      `DEFAULT_CAPACITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheRandom()` Same as:
    `CacheRandom(int capacity)` Creates a CacheRandom instance with a given cache capacity.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(java.lang.Object key, java.lang.Object value)` Adds a value to the cache.

    - ### Methods inherited from class org.apache.oro.util.GenericCache

      `capacity, getElement, isFull, keys, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheRandom

          public CacheRandom(int capacity)

      Creates a CacheRandom instance with a given cache capacity.

      Parameters:
        `capacity` - The capacity of the cache.

    - #### CacheRandom

          public CacheRandom()

      Same as:

      >      CacheRandom(GenericCache.DEFAULT_CAPACITY);

  - ### Method Detail

    - #### addElement

          public final void addElement(java.lang.Object key,
                        java.lang.Object value)

      Adds a value to the cache. If the cache is full, when a new value is added to the cache, it replaces the first of the current values in the cache to have been added (i.e., Random).

      Specified by:
        `addElement` in interface `Cache`
      Specified by:
        `addElement` in class `GenericCache`
      Parameters:
        `key` - The key referencing the value added to the cache.
        `value` - The value to add to the cache.

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.